//---------------------------------------------------------------------------
#ifndef FMainH
#define FMainH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "UPTSplitter.hpp"
#include "UPTShellControls.hpp"
#include "UPTTreeList.hpp"
#include <vcl\ComCtrls.hpp>
#include "UPTFrame.hpp"
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
class TFrmMain : public TForm
{
__published:	// IDE-managed Components
    TPTSplitter *PTSplitter1;
    TPTShellTree *PTShellTree1;
    TPTFrame *PTFrame1;
    TPTShellList *PTShellList1;
    TMainMenu *MainMenu1;
    TMenuItem *File1;
    TMenuItem *Exit1;
    TMenuItem *Test1;
    TMenuItem *Registercustomicon1;
    TMemo *Memo1;
    void __fastcall Exit1Click(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    
    
    void __fastcall PTShellTree1Change(TObject *Sender, TTreeNode *Node);
    
    void __fastcall PTShellList1AddItem(TObject *aSender,
    Uptshell95::IShellFolder *aParentIShf, Uptshell95::PItemIDList aParentAbsIdList,
    Uptshell95::PItemIDList aItemRelIdList, int aAttribs, LongBool &afAllowAdd);
    void __fastcall PTShellList1FillComplete(TObject *Sender);
    void __fastcall Registercustomicon1Click(TObject *Sender);
    
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall PTShellList1DblClickOpen(TObject *aSender, bool &afHandled);
private:	// User declarations
public:		// User declarations
    __fastcall TFrmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TFrmMain *FrmMain;
//---------------------------------------------------------------------------
#endif
